Index: /branches/version-2_12-dev/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 22707)
+++ /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 22796)
@@ -28,6 +28,5 @@
  * @version $Id$
  */
-class SC_CartSession 
-{
+class SC_CartSession {
     /** ユニークIDを指定する. */
     var $key_tmp;
@@ -37,6 +36,5 @@
 
     /* コンストラクタ */
-    function __construct($cartKey = 'cart')
-    {
+    function __construct($cartKey = 'cart') {
         if (!isset($_SESSION[$cartKey])) {
             $_SESSION[$cartKey] = array();
@@ -46,6 +44,5 @@
 
     // 商品購入処理中のロック
-    function saveCurrentCart($key_tmp, $productTypeId)
-    {
+    function saveCurrentCart($key_tmp, $productTypeId) {
         $this->key_tmp = 'savecart_' . $key_tmp;
         // すでに情報がなければ現状のカート情報を記録しておく
@@ -62,6 +59,5 @@
 
     // 商品購入中の変更があったかをチェックする。
-    function getCancelPurchase($productTypeId)
-    {
+    function getCancelPurchase($productTypeId) {
         $ret = isset($this->cartSession[$productTypeId]['cancel_purchase'])
             ? $this->cartSession[$productTypeId]['cancel_purchase'] : '';
@@ -71,6 +67,5 @@
 
     // 購入処理中に商品に変更がなかったかを判定
-    function checkChangeCart($productTypeId)
-    {
+    function checkChangeCart($productTypeId) {
         $change = false;
         $max = $this->getMax($productTypeId);
@@ -100,6 +95,5 @@
 
     // 次に割り当てるカートのIDを取得する
-    function getNextCartID($productTypeId)
-    {
+    function getNextCartID($productTypeId) {
         $count = array();
         foreach ($this->cartSession[$productTypeId] as $key => $value) {
@@ -117,6 +111,5 @@
      * @deprecated SC_CartSession::getCartList() を使用してください
      */
-    function getProductTotal($id, $productTypeId)
-    {
+    function getProductTotal($id, $productTypeId) {
         $max = $this->getMax($productTypeId);
         for ($i = 0; $i <= $max; $i++) {
@@ -136,6 +129,5 @@
 
     // 値のセット
-    function setProductValue($id, $key, $val, $productTypeId)
-    {
+    function setProductValue($id, $key, $val, $productTypeId) {
         $max = $this->getMax($productTypeId);
         for ($i = 0; $i <= $max; $i++) {
@@ -149,6 +141,5 @@
 
     // カート内商品の最大要素番号を取得する。
-    function getMax($productTypeId)
-    {
+    function getMax($productTypeId) {
         $max = 0;
         if (count($this->cartSession[$productTypeId]) > 0) {
@@ -165,6 +156,5 @@
 
     // カート内商品数量の合計
-    function getTotalQuantity($productTypeId)
-    {
+    function getTotalQuantity($productTypeId) {
         $total = 0;
         $max = $this->getMax($productTypeId);
@@ -176,6 +166,5 @@
 
     // 全商品の合計価格
-    function getAllProductsTotal($productTypeId)
-    {
+    function getAllProductsTotal($productTypeId) {
         // 税込み合計
         $total = 0;
@@ -201,6 +190,5 @@
 
     // 全商品の合計税金
-    function getAllProductsTax($productTypeId)
-    {
+    function getAllProductsTax($productTypeId) {
         // 税合計
         $total = 0;
@@ -216,6 +204,5 @@
 
     // 全商品の合計ポイント
-    function getAllProductsPoint($productTypeId)
-    {
+    function getAllProductsPoint($productTypeId) {
         // ポイント合計
         $total = 0;
@@ -242,6 +229,5 @@
 
     // カートへの商品追加
-    function addProduct($product_class_id, $quantity)
-    {
+    function addProduct($product_class_id, $quantity) {
         $objProduct = new SC_Product_Ex();
         $arrProduct = $objProduct->getProductsClass($product_class_id);
@@ -267,6 +253,5 @@
 
     // 前頁のURLを記録しておく
-    function setPrevURL($url, $excludePaths = array())
-    {
+    function setPrevURL($url, $excludePaths = array()) {
         // 前頁として記録しないページを指定する。
         $arrExclude = array(
@@ -289,12 +274,10 @@
 
     // 前頁のURLを取得する
-    function getPrevURL()
-    {
+    function getPrevURL() {
         return isset($_SESSION['prev_url']) ? $_SESSION['prev_url'] : '';
     }
 
     // キーが一致した商品の削除
-    function delProductKey($keyname, $val, $productTypeId)
-    {
+    function delProductKey($keyname, $val, $productTypeId) {
         $max = count($this->cartSession[$productTypeId]);
         for ($i = 0; $i < $max; $i++) {
@@ -305,11 +288,9 @@
     }
 
-    function setValue($key, $val, $productTypeId)
-    {
+    function setValue($key, $val, $productTypeId) {
         $this->cartSession[$productTypeId][$key] = $val;
     }
 
-    function getValue($key, $productTypeId)
-    {
+    function getValue($key, $productTypeId) {
         return $this->cartSession[$productTypeId][$key];
     }
@@ -319,6 +300,5 @@
      * productsClass項目から、不必要な項目を削除する。
      */
-    function adjustSessionProductsClass(&$arrProductsClass)
-    {
+    function adjustSessionProductsClass(&$arrProductsClass) {
         $arrNecessaryItems = array(
             'product_id'          => true,
@@ -353,6 +333,5 @@
      * @return array カート内商品一覧の配列
      */
-    function getCartList($productTypeId)
-    {
+    function getCartList($productTypeId) {
         $objProduct = new SC_Product_Ex();
         $max = $this->getMax($productTypeId);
@@ -394,6 +373,5 @@
      * @return array すべてのカートの内容
      */
-    function getAllCartList()
-    {
+    function getAllCartList() {
         $results = array();
         $cartKeys = $this->getKeys();
@@ -411,4 +389,11 @@
 
     /**
+     * @deprected getAllProductClassID を使用して下さい
+     */
+    function getAllProductID($productTypeId) {
+        trigger_error('正しく動作しないメソッドが呼び出されました。', E_USER_ERROR);
+    }
+
+    /**
      * カート内にある商品規格IDを全て取得する.
      *
@@ -416,6 +401,5 @@
      * @return array 商品規格ID の配列
      */
-    function getAllProductClassID($productTypeId)
-    {
+    function getAllProductClassID($productTypeId) {
         $max = $this->getMax($productTypeId);
         $productClassIDs = array();
@@ -434,6 +418,5 @@
      * @return void
      */
-    function delAllProducts($productTypeId)
-    {
+    function delAllProducts($productTypeId) {
         $max = $this->getMax($productTypeId);
         for ($i = 0; $i <= $max; $i++) {
@@ -443,6 +426,5 @@
 
     // 商品の削除
-    function delProduct($cart_no, $productTypeId)
-    {
+    function delProduct($cart_no, $productTypeId) {
         $max = $this->getMax($productTypeId);
         for ($i = 0; $i <= $max; $i++) {
@@ -454,6 +436,5 @@
 
     // 数量の増加
-    function upQuantity($cart_no, $productTypeId)
-    {
+    function upQuantity($cart_no, $productTypeId) {
         $quantity = $this->getQuantity($cart_no, $productTypeId);
         if (strlen($quantity + 1) <= INT_LEN) {
@@ -463,6 +444,5 @@
 
     // 数量の減少
-    function downQuantity($cart_no, $productTypeId)
-    {
+    function downQuantity($cart_no, $productTypeId) {
         $quantity = $this->getQuantity($cart_no, $productTypeId);
         if ($quantity > 1) {
@@ -478,6 +458,5 @@
      * @return integer 該当商品規格の数量
      */
-    function getQuantity($cart_no, $productTypeId)
-    {
+    function getQuantity($cart_no, $productTypeId) {
         $max = $this->getMax($productTypeId);
         for ($i = 0; $i <= $max; $i++) {
@@ -496,6 +475,5 @@
      * @retrun void
      */
-    function setQuantity($quantity, $cart_no, $productTypeId)
-    {
+    function setQuantity($quantity, $cart_no, $productTypeId) {
         $max = $this->getMax($productTypeId);
         for ($i = 0; $i <= $max; $i++) {
@@ -513,6 +491,5 @@
      * @return integer 商品規格ID
      */
-    function getProductClassId($cart_no, $productTypeId)
-    {
+    function getProductClassId($cart_no, $productTypeId) {
         for ($i = 0; $i < count($this->cartSession[$productTypeId]); $i++) {
             if ($this->cartSession[$productTypeId][$i]['cart_no'] == $cart_no) {
@@ -536,9 +513,6 @@
      * @return string エラーが発生した場合はエラーメッセージ
      */
-    function checkProducts($productTypeId)
-    {
+    function checkProducts($productTypeId) {
         $objProduct = new SC_Product_Ex();
-        $objDelivery = new SC_Helper_Delivery_Ex();
-        $arrDeliv = $objDelivery->getList($productTypeId);
         $tpl_message = '';
 
@@ -558,4 +532,5 @@
                  * 配送業者のチェック
                  */
+                $arrDeliv = SC_Helper_Purchase_Ex::getDeliv($productTypeId);
                 if (SC_Utils_Ex::isBlank($arrDeliv)) {
                     $tpl_message .= '※「' . $product['name'] . '」はまだ配送の準備ができておりません。';
@@ -592,6 +567,5 @@
      * @return boolean 送料無料の場合 true
      */
-    function isDelivFree($productTypeId)
-    {
+    function isDelivFree($productTypeId) {
         $objDb = new SC_Helper_DB_Ex();
 
@@ -652,8 +626,4 @@
         $results['deliv_fee'] = 0;
 
-        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
-        $results['order_tax_rate'] = $arrInfo['tax'];
-        $results['order_tax_rule'] = $arrInfo['tax_rule'];
-
         // 商品ごとの送料を加算
         if (OPTION_PRODUCT_DELIV_FEE == 1) {
@@ -668,5 +638,5 @@
             && !SC_Utils_Ex::isBlank($deliv_pref)
             && !SC_Utils_Ex::isBlank($deliv_id)) {
-            $results['deliv_fee'] += SC_Helper_Delivery_Ex::getDelivFee($deliv_pref, $deliv_id);
+            $results['deliv_fee'] += $this->sfGetDelivFee($deliv_pref, $deliv_id);
         }
 
@@ -707,6 +677,5 @@
      * @return array 商品種別IDの配列
      */
-    function getKeys()
-    {
+    function getKeys() {
         $keys = array_keys($this->cartSession);
         // 数量が 0 の商品種別は削除する
@@ -726,6 +695,5 @@
      * @return void
      */
-    function registerKey($key)
-    {
+    function registerKey($key) {
         $_SESSION['cartKey'] = $key;
     }
@@ -736,6 +704,5 @@
      * @return void
      */
-    function unsetKey()
-    {
+    function unsetKey() {
         unset($_SESSION['cartKey']);
     }
@@ -746,6 +713,5 @@
      * @return integer 商品種別ID
      */
-    function getKey()
-    {
+    function getKey() {
         return $_SESSION['cartKey'];
     }
@@ -756,6 +722,5 @@
      * @return boolean カートが複数商品種別の場合 true
      */
-    function isMultiple()
-    {
+    function isMultiple() {
         return count($this->getKeys()) > 1;
     }
@@ -767,7 +732,35 @@
      * @return boolean 指定の商品種別がカートに含まれる場合 true
      */
-    function hasProductType($product_type_id)
-    {
+    function hasProductType($product_type_id) {
         return in_array($product_type_id, $this->getKeys());
     }
+
+    /**
+     * 都道府県から配送料金を取得する.
+     *
+     * @param integer|array $pref_id 都道府県ID 又は都道府県IDの配列
+     * @param integer $deliv_id 配送業者ID
+     * @return string 指定の都道府県, 配送業者の配送料金
+     */
+    function sfGetDelivFee($pref_id, $deliv_id = 0) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        if (!is_array($pref_id)) {
+            $pref_id = array($pref_id);
+        }
+        $sql = <<< __EOS__
+            SELECT T1.fee AS fee
+            FROM dtb_delivfee T1
+                JOIN dtb_deliv T2
+                    ON T1.deliv_id = T2.deliv_id
+            WHERE T1.pref = ?
+                AND T1.deliv_id = ?
+                AND T2.del_flg = 0
+__EOS__;
+        $result = 0;
+        foreach ($pref_id as $pref) {
+            $result += $objQuery->getOne($sql, array($pref, $deliv_id));
+        }
+        return $result;
+    }
+
 }
Index: /branches/version-2_12-dev/data/class/SC_CustomerList.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CustomerList.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_CustomerList.php	(revision 22796)
@@ -25,11 +25,9 @@
  *  [概要] 会員検索用クラス
  */
-class SC_CustomerList extends SC_SelectSql_Ex 
-{
+class SC_CustomerList extends SC_SelectSql_Ex {
 
     var $arrColumnCSV;
 
-    function __construct($array, $mode = '')
-    {
+    function __construct($array, $mode = '') {
         parent::__construct($array);
 
@@ -329,12 +327,10 @@
 
     // 検索用SQL
-    function getList()
-    {
+    function getList() {
         $this->select = 'SELECT customer_id,name01,name02,kana01,kana02,sex,email,email_mobile,tel01,tel02,tel03,pref,status,update_date,mailmaga_flg FROM dtb_customer ';
-        return $this->getSql(2);
-    }
-
-    function getListMailMagazine($is_mobile = false)
-    {
+        return $this->getSql(0);
+    }
+
+    function getListMailMagazine($is_mobile = false) {
 
         $colomn = $this->getMailMagazineColumn($is_mobile);
@@ -348,6 +344,5 @@
 
     // 検索総数カウント用SQL
-    function getListCount()
-    {
+    function getListCount() {
         $this->select = 'SELECT COUNT(customer_id) FROM dtb_customer ';
         return $this->getSql(1);
@@ -355,6 +350,5 @@
 
     // CSVダウンロード用SQL
-    function getListCSV($arrColumnCSV)
-    {
+    function getListCSV($arrColumnCSV) {
         $this->arrColumnCSV = $arrColumnCSV;
         $i = 0;
@@ -369,6 +363,5 @@
     }
 
-    function getWhere()
-    {
+    function getWhere() {
         return array($this->where, $this->arrVal);
     }
Index: /branches/version-2_12-dev/data/class/SC_SelectSql.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 22796)
@@ -23,6 +23,5 @@
 
 /* ---- SQL文を作るクラス ---- */
-class SC_SelectSql 
-{
+class SC_SelectSql {
 
     var $sql;
@@ -36,6 +35,5 @@
 
     //--　コンストラクタ。
-    function __construct($array = '')
-    {
+    function __construct($array = '') {
         if (is_array($array)) {
             $this->arrSql = $array;
@@ -44,6 +42,5 @@
 
     //-- SQL分生成
-    function getSql($mode = '')
-    {
+    function getSql($mode = '') {
         $this->sql = $this->select .' '. $this->where .' '. $this->group .' ';
 
@@ -56,6 +53,5 @@
 
         // 検索用
-    function addSearchStr($val)
-    {
+    function addSearchStr($val) {
         $return = '%' .$val. '%';
         return $return;
@@ -63,6 +59,5 @@
 
     //-- 範囲検索（○　~　○　まで）
-    function selectRange($from, $to, $column)
-    {
+    function selectRange($from, $to, $column) {
 
         // ある単位のみ検索($from = $to)
@@ -87,6 +82,5 @@
 
     //--　期間検索（○年○月○日か~○年○月○日まで）
-    function selectTermRange($from_year, $from_month, $from_day, $to_year, $to_month, $to_day, $column)
-    {
+    function selectTermRange($from_year, $from_month, $from_day, $to_year, $to_month, $to_day, $column) {
         $return = array();
 
@@ -127,6 +121,5 @@
 
     // checkboxなどで同一カラム内で単一、もしくは複数選択肢が有る場合　例: AND ( sex = xxx OR sex = xxx OR sex = xxx) AND ...
-    function setItemTerm($arr, $ItemStr)
-    {
+    function setItemTerm($arr, $ItemStr) {
         $return = array();
         foreach ($arr as $data) {
@@ -153,6 +146,5 @@
 
     //　NULL値が必要な場合
-    function setItemTermWithNull($arr, $ItemStr)
-    {
+    function setItemTermWithNull($arr, $ItemStr) {
         $return = array();
         $item = " {$ItemStr} IS NULL ";
@@ -172,6 +164,5 @@
     }
     // NULLもしくは''で検索する場合
-    function setItemTermWithNullAndSpace($arr, $ItemStr)
-    {
+    function setItemTermWithNullAndSpace($arr, $ItemStr) {
         $return = array();
         $count = count($arr);
@@ -198,6 +189,5 @@
 
     */
-    function setWhereByOR($arrWhere)
-    {
+    function setWhereByOR($arrWhere) {
 
         $count = count($arrWhere);
@@ -221,6 +211,5 @@
     }
 
-    function setWhere($where)
-    {
+    function setWhere($where) {
         if ($where != '') {
             if ($this->where) {
@@ -235,6 +224,5 @@
     }
 
-    function setOrder($order)
-    {
+    function setOrder($order) {
 
             $this->order =  'ORDER BY ' . $order;
@@ -242,6 +230,5 @@
     }
 
-    function setGroup($group)
-    {
+    function setGroup($group) {
 
         $this->group =  'GROUP BY ' . $group;
@@ -249,6 +236,5 @@
     }
 
-    function clearSql()
-    {
+    function clearSql() {
         $this->select = '';
         $this->where = '';
@@ -257,6 +243,5 @@
     }
 
-    function setSelect($sql)
-    {
+    function setSelect($sql) {
         $this->select = $sql;
     }
Index: /branches/version-2_12-dev/data/class/SC_Customer.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Customer.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_Customer.php	(revision 22796)
@@ -25,12 +25,10 @@
  *  [概要] 会員管理クラス
  */
-class SC_Customer 
-{
+class SC_Customer {
 
     /** 会員情報 */
     var $customer_data;
 
-    function getCustomerDataFromEmailPass($pass, $email, $mobile = false)
-    {
+    function getCustomerDataFromEmailPass($pass, $email, $mobile = false) {
         // 小文字に変換
         $email = strtolower($email);
@@ -65,6 +63,5 @@
      *                 は false を返す。
      */
-    function checkMobilePhoneId()
-    {
+    function checkMobilePhoneId() {
         //docomo用にデータを取り出す。
         if (SC_MobileUserAgent_Ex::getCarrier() == 'docomo') {
@@ -91,6 +88,5 @@
      *                 それ以外の場合は false を返す。
      */
-    function getCustomerDataFromMobilePhoneIdPass($pass)
-    {
+    function getCustomerDataFromMobilePhoneIdPass($pass) {
         //docomo用にデータを取り出す。
         if (SC_MobileUserAgent_Ex::getCarrier() == 'docomo') {
@@ -122,6 +118,5 @@
      * @return void
      */
-    function updateMobilePhoneId()
-    {
+    function updateMobilePhoneId() {
         if (!isset($_SESSION['mobile']['phone_id']) || $_SESSION['mobile']['phone_id'] === false) {
             return;
@@ -141,6 +136,5 @@
 
     // パスワードを確認せずにログイン
-    function setLogin($email)
-    {
+    function setLogin($email) {
         // 本登録された会員のみ
         $sql = 'SELECT * FROM dtb_customer WHERE (email = ? OR email_mobile = ?) AND del_flg = 0 AND status = 2';
@@ -153,6 +147,5 @@
 
     // セッション情報を最新の情報に更新する
-    function updateSession()
-    {
+    function updateSession() {
         $sql = 'SELECT * FROM dtb_customer WHERE customer_id = ? AND del_flg = 0';
         $customer_id = $this->getValue('customer_id');
@@ -164,6 +157,5 @@
 
     // ログイン情報をセッションに登録し、ログに書き込む
-    function startSession()
-    {
+    function startSession() {
         $_SESSION['customer'] = $this->customer_data;
         // セッション情報の保存
@@ -172,6 +164,5 @@
 
     // ログアウト　$_SESSION['customer']を解放し、ログに書き込む
-    function EndSession()
-    {
+    function EndSession() {
         // セッション情報破棄の前にcustomer_idを保存
         $customer_id = $_SESSION['customer']['customer_id'];
@@ -193,6 +184,5 @@
 
     // ログインに成功しているか判定する。
-    function isLoginSuccess($dont_check_email_mobile = false)
-    {
+    function isLoginSuccess($dont_check_email_mobile = false) {
         // ログイン時のメールアドレスとDBのメールアドレスが一致している場合
         if (isset($_SESSION['customer']['customer_id'])
@@ -215,6 +205,5 @@
 
     // パラメーターの取得
-    function getValue($keyname)
-    {
+    function getValue($keyname) {
         // ポイントはリアルタイム表示
         if ($keyname == 'point') {
@@ -229,12 +218,10 @@
 
     // パラメーターのセット
-    function setValue($keyname, $val)
-    {
+    function setValue($keyname, $val) {
         $_SESSION['customer'][$keyname] = $val;
     }
 
     // パラメーターがNULLかどうかの判定
-    function hasValue($keyname)
-    {
+    function hasValue($keyname) {
         if (isset($_SESSION['customer'][$keyname])) {
             return !SC_Utils_Ex::isBlank($_SESSION['customer'][$keyname]);
@@ -244,6 +231,5 @@
 
     // 誕生日月であるかどうかの判定
-    function isBirthMonth()
-    {
+    function isBirthMonth() {
         if (isset($_SESSION['customer']['birth'])) {
             $arrRet = preg_split('|[- :/]|', $_SESSION['customer']['birth']);
@@ -266,6 +252,5 @@
      * @return string $_SERVER['REMOTE_HOST'] 又は $_SERVER['REMOTE_ADDR']の文字列
      */
-    function getRemoteHost()
-    {
+    function getRemoteHost() {
 
         if (!empty($_SERVER['REMOTE_HOST'])) {
@@ -279,6 +264,5 @@
 
     //受注関連の会員情報を更新
-    function updateOrderSummary($customer_id)
-    {
+    function updateOrderSummary($customer_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrOrderSummary =  $objQuery->getRow('SUM( payment_total) as buy_total, COUNT(order_id) as buy_times,MAX( create_date) as last_buy_date, MIN(create_date) as first_buy_date','dtb_order','customer_id = ? AND del_flg = 0 AND status <> ?',array($customer_id,ORDER_CANCEL));
@@ -298,6 +282,5 @@
      * @return boolean ログインに成功した場合 true; 失敗した場合 false
      */
-    function doLogin($login_email, $login_pass)
-    {
+    function doLogin($login_email, $login_pass) {
         switch (SC_Display_Ex::detectDevice()) {
             case DEVICE_TYPE_MOBILE:
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Mobile.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Mobile.php	(revision 22592)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Mobile.php	(revision 22796)
@@ -29,6 +29,5 @@
  * @version $Id$
  */
-class SC_Helper_Mobile 
-{
+class SC_Helper_Mobile {
 
     /** 基本MimeType */
@@ -82,6 +81,5 @@
      * @return void
      */
-    function lfMobileCheckCompatibility()
-    {
+    function lfMobileCheckCompatibility() {
         if (!SC_MobileUserAgent_Ex::isSupported()) {
             header('Location: ' . ROOT_URLPATH . 'unsupported/' . DIR_INDEX_PATH);
@@ -96,6 +94,5 @@
      * @return void
      */
-    function lfMobileConvertInputValue(&$value)
-    {
+    function lfMobileConvertInputValue(&$value) {
         if (is_array($value)) {
             foreach ($value as $key => $val) {
@@ -116,6 +113,5 @@
      * @return void
      */
-    function lfMobileInitInput()
-    {
+    function lfMobileInitInput() {
         array_walk($_GET, array($this, 'lfMobileConvertInputValue'));
         array_walk($_POST, array($this, 'lfMobileConvertInputValue'));
@@ -129,7 +125,6 @@
      *                     取得できなかった場合は null を返す。
      */
-    function lfMobileGetExtSessionId()
-    {
-        if (!preg_match('|^' . ROOT_URLPATH . '(.*)$|', $_SERVER['SCRIPT_NAME'], $matches)) {
+    function lfMobileGetExtSessionId() {
+        if (!preg_match('|^' . ROOT_URLPATH . '(.*)$|', $_SERVER['SCRIPT_NAME'], $matches = array())) {
             return null;
         }
@@ -157,6 +152,5 @@
      *                      取得できなかった場合は false を返す。
      */
-    function lfMobileGetSessionId()
-    {
+    function lfMobileGetSessionId() {
         // パラメーターからセッションIDを取得する。
         $sessionId = @$_POST[session_name()];
@@ -187,6 +181,5 @@
      * @return boolean セッションデータが有効な場合は true、無効な場合は false を返す。
      */
-    function lfMobileValidateSession()
-    {
+    function lfMobileValidateSession() {
         // 配列 mobile が登録されているかどうかをチェックする。
         if (!is_array(@$_SESSION['mobile'])) {
@@ -228,6 +221,5 @@
      * @return void
      */
-    function lfMobileInitOutput()
-    {
+    function lfMobileInitOutput() {
         // 出力用のエンコーディングを Shift JIS に固定する。
         mb_http_output('SJIS-win');
@@ -251,6 +243,5 @@
      * @return void
      */
-    function sfMobileInit()
-    {
+    function sfMobileInit() {
         $this->lfMobileInitInput();
 
@@ -267,6 +258,5 @@
      * @return String
      */
-    function gfAddSessionId($url = null)
-    {
+    function gfAddSessionId($url = null) {
         $objURL = new Net_URL($url);
         $objURL->addQueryString(session_name(), session_id());
@@ -280,6 +270,5 @@
      * @param array セッション ID を追加した配列
      */
-    function sessionIdArray($array = array())
-    {
+    function sessionIdArray($array = array()) {
         return array_merge($array, array(session_name() => session_id()));
     }
@@ -290,6 +279,5 @@
      * @return string 生成したトークンを返す。
      */
-    function lfGenerateKaraMailToken()
-    {
+    function lfGenerateKaraMailToken() {
         $token_chars = '0123456789abcdefghijklmnopqrstuvwxyz';
         $token_chars_length = strlen($token_chars);
@@ -312,6 +300,5 @@
      * @return string|false トークンを返す。エラーが発生した場合はfalseを返す。
      */
-    function gfPrepareKaraMail($next_url, $session_id = null)
-    {
+    function gfPrepareKaraMail($next_url, $session_id = null) {
         if (!isset($session_id)) {
             $session_id = session_id();
@@ -359,6 +346,5 @@
      * @return boolean 成功した場合はtrue、失敗した場合はfalseを返す。
      */
-    function gfRegisterKaraMail($token, $email)
-    {
+    function gfRegisterKaraMail($token, $email) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -390,6 +376,5 @@
      * @return string|false URLを返す。エラーが発生した場合はfalseを返す。
      */
-    function gfFinishKaraMail($token)
-    {
+    function gfFinishKaraMail($token) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -429,6 +414,5 @@
      * @return void
      */
-    function sfMobileSetExtSessionId($param_key, $param_value, $url)
-    {
+    function sfMobileSetExtSessionId($param_key, $param_value, $url) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -453,6 +437,5 @@
      * @return boolean 携帯のメールアドレスの場合はtrue、それ以外の場合はfalseを返す。
      */
-    function gfIsMobileMailAddress($address)
-    {
+    function gfIsMobileMailAddress($address) {
         $masterData = new SC_DB_MasterData_Ex();
         $arrMobileMailDomains = $masterData->getMasterData('mtb_mobile_domain');
@@ -474,6 +457,5 @@
      * @return string MIMEタイプ
      */
-    function getMimeType($filename)
-    {
+    function getMimeType($filename) {
         //ファイルの拡張子からコンテンツタイプを決定する
         $file_extension = strtolower(substr(strrchr($filename,'.'),1));
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_FileManager.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_FileManager.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_FileManager.php	(revision 22796)
@@ -29,6 +29,5 @@
  * @version $Id$
  */
-class SC_Helper_FileManager 
-{
+class SC_Helper_FileManager {
 
     /**
@@ -38,6 +37,5 @@
      * @return void
      */
-    function sfGetFileList($dir)
-    {
+    function sfGetFileList($dir) {
         $arrFileList = array();
         $arrDirList = array();
@@ -93,6 +91,5 @@
      * @return void
      */
-    function sfGetDirSize($dir)
-    {
+    function sfGetDirSize($dir) {
         $bytes = 0;
         if (file_exists($dir)) {
@@ -132,6 +129,5 @@
      * @return array ツリー生成用の配列
      */
-    function sfGetFileTree($dir, $tree_status)
-    {
+    function sfGetFileTree($dir, $tree_status) {
 
         $cnt = 0;
@@ -174,6 +170,5 @@
      * @return array ツリー生成用の配列
      */
-    function sfGetFileTreeSub($dir, $default_rank, &$cnt, &$arrTree, $tree_status)
-    {
+    function sfGetFileTreeSub($dir, $default_rank, &$cnt, &$arrTree, $tree_status) {
 
         if (file_exists($dir)) {
@@ -222,6 +217,5 @@
      * @return bool ファイルが存在する場合 true
      */
-    function sfDirChildExists($dir)
-    {
+    function sfDirChildExists($dir) {
         if (file_exists($dir)) {
             if (is_dir($dir)) {
@@ -249,6 +243,5 @@
      * @return bool 前回開かれた状態の場合 true
      */
-    function lfIsFileOpen($dir, $tree_status)
-    {
+    function lfIsFileOpen($dir, $tree_status) {
         $arrTreeStatus = explode('|', $tree_status);
         if (in_array($dir, $arrTreeStatus)) {
@@ -265,6 +258,5 @@
      * @return void
      */
-    function sfDownloadFile($file)
-    {
+    function sfDownloadFile($file) {
         // ファイルの場合はダウンロードさせる
         Header('Content-disposition: attachment; filename='.basename($file));
@@ -282,6 +274,5 @@
      * @return bool ファイル作成に成功した場合 true
      */
-    function sfCreateFile($file, $mode = '')
-    {
+    function sfCreateFile($file, $mode = '') {
         // 行末の/を取り除く
         if ($mode != '') {
@@ -300,6 +291,5 @@
      * @return string ファイルの内容
      */
-    function sfReadFile($filename)
-    {
+    function sfReadFile($filename) {
         $str = '';
         // バイナリモードでオープン
@@ -321,6 +311,5 @@
      * @return boolean ファイルの書き込みに成功した場合 true
      */
-    function sfWriteFile($filename, $value)
-    {
+    function sfWriteFile($filename, $value) {
         if (!is_dir(dirname($filename))) {
             SC_Utils_Ex::recursiveMkdir(dirname($filename), 0777);
@@ -343,6 +332,5 @@
      * @return boolean 成功した場合 true; 失敗した場合 false
      */
-    function downloadArchiveFiles($dir, $template_code)
-    {
+    function downloadArchiveFiles($dir, $template_code) {
         // ダウンロードされるファイル名
         $dlFileName = 'tpl_package_' . $template_code . '_' . date('YmdHis') . '.tar.gz';
@@ -382,6 +370,5 @@
      * @return boolean Archive_Tar::extractModify()のエラー
      */
-    function unpackFile($path)
-    {
+    function unpackFile($path) {
         // 圧縮フラグTRUEはgzip解凍をおこなう
         $tar = new Archive_Tar($path, true);
@@ -411,6 +398,5 @@
      * @return void
      */
-    function deleteFile($path, $del_myself = true)
-    {
+    function deleteFile($path, $del_myself = true) {
         $flg = false;
         // 対象が存在するかを検証.
